### Signal

# Gio DebugControllerDBus::authorize

since: 2.72

#### Declaration

    gboolean
    authorize (
      GDebugControllerDBus* self,
      GDBusMethodInvocation* invocation,
      gpointer user_data
    )

#### Description

Emitted when a D-Bus peer is trying to change the debug settings and used to determine if that is authorized.

This signal is emitted in a dedicated worker thread, so handlers are allowed to perform blocking I/O. This means that, for example, it is appropriate to call `polkit_authority_check_authorization_sync()` to check authorization using polkit.

If `FALSE` is returned then no further handlers are run and the request to change the debug settings is rejected.

Otherwise, if `TRUE` is returned, signal emission continues. If no handlers return `FALSE`, then the debug settings are allowed to be changed.

Signal handlers must not modify `invocation`, or cause it to return a value.

The default class handler just returns `TRUE`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.72

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the call is authorized, `FALSE` otherwise.